<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">


    <LinearLayout
        android:layout_width="@dimen/d_330dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_8dp"
        android:orientation="vertical"
        tools:targetApi="ice_cream_sandwich">

        <LinearLayout
            android:layout_width="@dimen/d_330dp"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginTop="@dimen/d_9dp">


            <ImageView
                android:id="@+id/search_input_icon_imgv"
                android:layout_width="@dimen/d_28dp"
                android:layout_height="@dimen/d_28dp"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true"
                android:layout_marginRight="@dimen/d_10dp"
                android:src="@drawable/search" />

            <EditText
                android:id="@+id/search_input_et"
                android:layout_width="@dimen/d_255dp"
                android:layout_height="wrap_content"
                android:gravity="bottom"
                android:layout_gravity="bottom"
                android:background="@android:color/transparent"
                android:cursorVisible="true"
                android:ellipsize="end"
                android:focusable="false"
                android:focusableInTouchMode="true"
                android:hint="@string/search_input_hint"
                android:singleLine="true"
                android:textColor="@android:color/white"
                android:textColorHint="@android:color/white"
                android:textSize="@dimen/s_24sp" />
        </LinearLayout>

        <View
            android:layout_width="@dimen/d_330dp"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/d_2dp"
            android:background="@android:color/white" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="@dimen/d_330dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="@dimen/d_20dp"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/del_iv"
            android:layout_width="@dimen/d_26dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="6dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:src="@drawable/del_white" />

        <Button
            android:id="@+id/search_input_delete_btn"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="@dimen/d_54dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@color/transparent"
            android:gravity="center"
            android:nextFocusDown="@+id/search_input_gv"
            android:text="@string/search_delete"
            android:textColor="@color/search_text_color_selector"
            android:textSize="@dimen/s_26sp" />


        <!--<Button
            android:id="@+id/search_input_space_btn"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@color/transparent"
            android:gravity="center"
            android:nextFocusDown="@+id/search_input_gv"
            android:text="@string/search_space"
            android:textColor="@color/search_text_color_selector"
            android:textSize="@dimen/s_26sp"
            android:visibility="gone"/>-->
        <ImageView
            android:id="@+id/del_all_iv"
            android:layout_width="@dimen/d_20dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginLeft="@dimen/d_156dp"
            android:layout_marginRight="6dp"
            android:src="@drawable/del_all_white" />

        <Button
            android:id="@+id/search_input_clean_btn"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="@dimen/d_54dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@color/transparent"
            android:gravity="center_vertical"
            android:nextFocusDown="@+id/search_input_gv"
            android:text="@string/search_clear"
            android:textColor="@color/search_text_color_selector"
            android:textSize="@dimen/s_26sp" />
    </LinearLayout>

    <com.wasu.widgets.focuswidget.CustomGridView
        android:id="@+id/search_input_gv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:horizontalSpacing="@dimen/d_25dp"
        android:listSelector="@drawable/search_input_item_selector"
        android:paddingTop="@dimen/d_20dp"
        android:scrollbars="none"
        android:verticalSpacing="@dimen/d_30dp">
        <!--<requestFocus />-->
        <!--
        tools:targetApi="ice_cream_sandwich"-->
    </com.wasu.widgets.focuswidget.CustomGridView>

</merge>